Subject: bug#26360: closed (Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 Apr 2017 16:45:02 +0000

Your bug report

#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26360: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26360
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 23 Apr 2017 16:43:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

<[email-masked]> schrieb am Sa., 22. Apr. 2017 um 23:38 Uhr:

> Philipp Stephani <[email-masked]> writes:
>
> > <[email-masked]> schrieb am Fr., 21. Apr. 2017 um 05:28
> Uhr:
> >>
> >> Patch looks good, except the test seems redundant to me.  I don't think
> >> it's useful to test that a command is defined, or testing that specific
> >> keybindings have been set (i.e., no need to test again that `defun' or
> >> `define-key' are working).
> >
> >
> > I've used a bit of TDD for this patch, thus the verbose test.
>
> I suppose my real objection is that 'make check' is already taking long
> enough that it makes me reluctant to use it, so I don't really want to
> see more tests of such marginal utility.  But any single test isn't
> adding a significant amount of time, so I'm not going to insist.
>

Agreed that it takes very long, but I think good coverage is more important
(and the full suite should mostly be run on continuous integration, not
manually).

>
> In conclusion, feel free to push this; as far as I'm concerned, the
> decision about the test is up to you.
>

Thanks, pushed as a1f93c1dfa.

Subject: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Date: Tue, 04 Apr 2017 14:20:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

M-x ido-mode

Then try
C-x C-f
C-x d
C-x 4 f
C-x 4 d

In the first three cases, IDO will be used, but not in the fourth case.
That's a weird inconsistency.

In GNU Emacs 26.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.10.8)
 of 2017-04-04 built on unknown
Repository revision: f4b50dad8d5eade04f495c693c0bca46060b25cb
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:	Ubuntu 14.04 LTS

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --without-pop --with-mailutils --enable-checking
 --enable-check-lisp-object-type --with-modules 'CFLAGS=-O0 -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message puny seq byte-opt subr-x gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 95798 11364)
 (symbols 48 20179 1)
 (miscs 40 39 156)
 (strings 32 17662 4751)
 (string-bytes 1 576290)
 (vectors 16 14098)
 (vector-slots 8 483725 5397)
 (floats 8 48 68)
 (intervals 56 217 0)
 (buffers 976 12)
 (heap 1024 23372 1029))

-- 
Google Germany GmbH
Erika-Mann-Straße 33
80636 München

Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg
Geschäftsführer: Matthew Scott Sucherman, Paul Terence Manicle

Diese E-Mail ist vertraulich.  Wenn Sie nicht der richtige Adressat sind,
leiten Sie diese bitte nicht weiter, informieren Sie den Absender und löschen
Sie die E-Mail und alle Anhänge.  Vielen Dank.

This e-mail is confidential.  If you are not the right addressee please do not
forward it, please inform the sender, and please erase this e-mail including
any attachments.  Thanks.